﻿/****************************************************************
					"Печать с запоминанием"
					     print.jsx

Скрипт для печати страниц документа(!) с запоминанием страниц.

Удалите горячую клавишу "ctrl+p" у команды печать и повесьте
на скрипт.

22.11.2005 г.
Андрей Рыжков (ragman)
special946@gmail.com
*****************************************************************/
with (app) {
	//Читаем предыдущие печатавшиеся страницы
	myPage = activeDocument.printPreferences.pageRange;
	if (myPage == 1886547553) {
		myPage = "All";
	}
	// Настраиваем диалог
	var myDialog = dialogs.add({name:"Печать"});
	with (myDialog.dialogColumns.add()) {
		with (dialogRows.add().borderPanels.add()) {
			with (dialogColumns.add()) {
				dialogRows.add().staticTexts.add({staticLabel:"Страницы:"});
			}
			with (dialogColumns.add()) {
				var myDialogPage = dialogRows.add().textEditboxes.add({editContents:myPage});
			}
		}
		with (dialogRows.add()) {
			dialogColumns.add().staticTexts.add({staticLabel:"Андрей Рыжков     special946@gmail.com"});
		}

	}
	
	// Показываем
	var myResult = myDialog.show();
	if (!myResult) {
		myDialog.destroy();
		exit();
	}
	myPage = myDialogPage.editContents;
	if (myPage == "All") {
		myPage = 1886547553;
	}
	activeDocument.printPreferences.pageRange = myPage;
	activeDocument.print (true);
	activeDocument.printPreferences.pageRange = myPage;	
}